# org.eclipse.jgit.util.io

## Classes

- AutoCRLFInputStream
- AutoCRLFOutputStream
- CountingOutputStream
- DisabledOutputStream
- EolCanonicalizingInputStream
- InterruptTimer
- LimitedInputStream
- MessageWriter
- NullOutputStream
- SafeBufferedOutputStream
- StreamCopyThread
- TeeInputStream
- ThrowingPrintWriter
- TimeoutInputStream
- TimeoutOutputStream
- UnionInputStream

## Exceptions

- EolCanonicalizingInputStream.IsBinaryException